<script setup lang="ts">
import { onMounted } from 'vue'
import TableLayout from '@/layout/TableLayout.vue'
import { useUserStore } from '../stores/user'
import type { User } from '../types/User'
import UserDialog from '../components/UserDialog.vue'

const userStore = useUserStore()

// const items = [
//   { id: 1, email: 'admin@mail.com', name: 'admin', roles: 'admin' },
//   { id: 2, email: 'user1@mail.com', name: 'user', roles: 'user' }
// ]

onMounted(async () => {
  await userStore.getAll()
})
</script>
<template>
  <UserDialog />
  <TableLayout title="User Management" :items="userStore.items" :headers="userStore.headers">
    <template #topheaders>
      <v-container>
        <v-row>
          <v-col cols="8">
            <v-text-field variant="filled" rounded="lg"></v-text-field>
          </v-col>
          <v-col cols="2">
            <v-btn class="w-100" variant="outlined" rounded="lg">Search</v-btn>
          </v-col>
          <v-col cols="2">
            <v-btn class="w-100" variant="outlined" rounded="lg" @click="userStore.openDialog()"
              >New</v-btn
            >
          </v-col>
        </v-row>
      </v-container>
    </template>
    <template #content> </template>
  </TableLayout>

  <!-- <v-data-table :items="items" :headers="userStore.headers">
    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>{{ item.email }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.roles }}</td>

        <td>
          <v-icon size="small" class="me-2" @click="userStore.editItem(item)">
            mdi-pencil
          </v-icon>
          <v-icon size="small" @click="userStore.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
=======
>>>>>>> b8dc65db0036c96e19fe2edebd862ad110903c94
    </template>
    
  </TableLayout>

   <v-card class="text-center mt-16 mx-16 pa-8" rounded="lg" elevation="2">
    <h1>User List</h1>
  </v-card>
  <v-card class="mx-16 mt-4" rounded="lg" elevation="2">
    <v-data-table :items="userStore.items" :headers="userStore.headers" v-for="item in userStore.items" :key="item.id">
      <template #top>
        <slot name="topheaders"></slot>
      </template>
    </v-data-table>
  </v-card> -->
</template>
